SOperationStatus (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Enum SOperationStatus

- java.lang.Object
- - java.lang.Enum<SOperationStatus>
  - - com.sleepycat.client.SOperationStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SOperationStatus>

      public enum SOperationStatus
      extends java.lang.Enum<SOperationStatus>

  Status values from database operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KEYEMPTY` The cursor operation was unsuccessful because the current record was deleted.
    `KEYEXIST` The operation to insert data was configured to not allow overwrite and the key already exists in the database.
    `NOTFOUND` The requested key/data pair was not found.
    `SUCCESS` The operation was successful.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SOperationStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SOperationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEYEMPTY

          public static final SOperationStatus KEYEMPTY

      The cursor operation was unsuccessful because the current record was deleted.

    - #### KEYEXIST

          public static final SOperationStatus KEYEXIST

      The operation to insert data was configured to not allow overwrite and the key already exists in the database.

    - #### NOTFOUND

          public static final SOperationStatus NOTFOUND

      The requested key/data pair was not found.

    - #### SUCCESS

          public static final SOperationStatus SUCCESS

      The operation was successful.

  - ### Method Detail

    - #### values

          public static SOperationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SOperationStatus c : SOperationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SOperationStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.